Subject: [netlmm] Updated MN-AR interface draft

From: Julien Laganier <[email-masked]>
Date: Mon, 19 Jun 2006 18:00:29 +0200

Folks,

We plan to submit an updated version of the MN-AR interface draft next 
Monday before the cut-off (26th) A preliminary version is available 
there:

<http://julien.laganier.free.fr/draft-ietf-netlmm-mn-ar-if-01-pre060619.txt>

There's also an htmlized word-diff with the previous version:

<http://julien.laganier.free.fr/draft-ietf-netlmm-mn-ar-if-01-pre060619-from-00.html>

The big change is that the documents now includes DHCP-based triggers 
for the NetLMM protocol (in addition to Neighbor Discovery based 
triggers.) The text also incorporates issues resolution text that we 
agreed on. 

Best,

--julien

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 19 Jun 2006 10:31:32 -0700

Julien,

Thanks for sending this; the spec seems to be shaping up nicely.

Fred
[email-masked] 

-----Original Message-----
From: Julien Laganier [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 9:00 AM
To: [email-masked]
Subject: [netlmm] Updated MN-AR interface draft

Folks,

<http://julien.laganier.free.fr/draft-ietf-netlmm-mn-ar-if-01-pre060619.
txt>

<http://julien.laganier.free.fr/draft-ietf-netlmm-mn-ar-if-01-pre060619-
from-00.html>

Best,

--julien

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 19 Jun 2006 10:42:25 -0700

Just some random thoughts on what we are building here.

To date, the NETLMM discussions have been talking in terms
of multiple links glued together by Access Routers (ARs) and
Localized Mobility Agents (LMAs), i.e., the architecture looks
like a multilink subnet. In the model we have discussed so far,
link-scoped messages like IPv6 Neighbor Discovery are confined
to the local link except that the ARs serve as "proxies" to a
certain degree.

In particular, ARs serve as proxies for a Mobile Node's (MN's)
Neighbor Solicitation (NS) for Duplicate Address Detection (DAD)
messages. Also, when the ARs send RAs that adversite prefixes
with the 'L' bit set to 0 they are effectively sending proxied
Router Advertisements (RAs) on behalf of the LMA. So, in reality,
we currently have something that is a hybrid fusion between
multilink subnet and bridged campus LAN with the ARs partially
acting as "routing bridges" (TRILL wg overlap) or "neighbor
discovery proxies" (IPv6 wg overlap). So, what is missing:

 1) NS(NUD) - We don't currently talk about proxying link-scoped
    unicast messages, which includes a MN's NSs for Neighbor
    Unreachability Detection (NUD). That is because all of the
    MN's communications go through the AR such that only the
    ARs will show up in the MN's neighbor cache.

 2) Redirects - We are currently considering redirects as too
    dangerous to use in a NETLMM environment because there is
    no guarantee that a pair of communicating nodes will remain
    on the same link due to mobility so (as above) all
    communications go through the AR even for a pair of
    MNs that are on the same link.

 3) Local communications - We are currently silent on addressing
    mechanisms that would allow MNs attached to the same localized
    mobility management domain (LMMD) to communicate directly with
    each other w/o going through a LMA when actually IPv6 Unique
    Local Addressing (ULA) could be used to support that.

So, what I can imagine is some sort of "happy medium" that this
architecture could evolve into that looks like multilink subnet
when viewed in some ways and bridged campus LAN when viewed in
others. My current thinking is that a MN's communications that
use global addresses configured from prefixes advertised in IPv6
RAs should go through ARs even if the communcating endpoints
are attached to the same link (multilink subnet). But, a pair
of MNs in the same localized mobility management domain (LMMD)
should be able to use IPv6 ULAs to communicate directly with
one another even if they are attached to different links within
the LMMD (bridged campus LAN). The former would make use of the
LMA(s) to track MN mobility whereas the latter would not use
the LMA(s) but would require an intra-AR routing protocol to
track MN mobility.

So, what does anyone think? Can we have it both ways and still
provide robust and efficient support for intra-LMMD and global
communications? What business models would benefit or suffer
from such a hybrid architecture?

Fred

---

From: "James Kempf" <[email-masked]>
Date: Mon, 19 Jun 2006 11:01:01 -0700

Fred,

I spoke with Dave Thaler at Dallas about this. He's studied the issue of 
multilink subnets (he's also now on the IAB). His message to me was: don't 
go there. He said we should try to avoid making NETLMM to look like a 
multilink subnet as much as possible. There's also a fair amount of anxiety 
among important IETF people (including former ADs) with lots of technical 
experience about whether NETLMM will try to make the localized mobility 
domain look like a multilink subnet.

I think we should try to avoid talking about multilink subnets, since I 
think the IESG will view it as too radical a change in the IP model. Also, 
for cellular type networks (where the Layer 2 is doing all of the movement 
detection and handover support) it is not an accurate model anyway. A 
point-to-point model is more accurate there, I think.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 19 Jun 2006 12:10:27 -0700

James,

Right, and I have argued the same thing too. It would be wrong to
pre-suppose what the NETLMM design team will come up with, but as
of right now the strawman architecture has elements that look like
a multilink subnet whether we care to talk about it or not.

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

multilink subnets (he's also now on the IAB). His message to me was:
don't 
go there. He said we should try to avoid making NETLMM to look like a 
multilink subnet as much as possible. There's also a fair amount of
anxiety 
among important IETF people (including former ADs) with lots of
technical 
experience about whether NETLMM will try to make the localized mobility 
domain look like a multilink subnet.

I think we should try to avoid talking about multilink subnets, since I 
think the IESG will view it as too radical a change in the IP model.
Also, 
for cellular type networks (where the Layer 2 is doing all of the
movement 
detection and handover support) it is not an accurate model anyway. A 
point-to-point model is more accurate there, I think.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "James Kempf" <[email-masked]>
Date: Mon, 19 Jun 2006 13:28:26 -0700

Fred,

The architecture says nothing about the last hop. It describes the AR to LMA 
link. Since the architecture is very similar to UMTS, the last hop could 
easily be a P2P link, as in Section 2.4 of RFC 3316. GPRS networks don't use 
multilink subnets, and neither should NETLMM.

Basically, the MN-AR interface draft needs to discuss what this link looks 
like. The NETLMM protocol itself can support many different kinds of last 
hop links.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "James Kempf" <[email-masked]>
Date: Mon, 19 Jun 2006 13:53:53 -0700

Fred,

And, if I am not mistaken, that is exactly the way GPRS works. Each node 
gets a different subnet prefix. As I see it, that is a perfectly valid model 
for a NETLMM last hop.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

My read of Section 2.4 of RFC3316 is that *my* cellular host
has a default router as the only neighbor on *my* point-to-
point link (that's one link) and *your* cellular host has a
default router as the only neighbor on *your* link (that's
two links). So, if my host wants to talk to yours, and if
both configure IP addresses from the same subnet prefix, that
would be a multilink subnet. (Unless bridging is used, in
which case they would be separate *segments* of a bridged
campus LAN.)

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

The architecture says nothing about the last hop. It describes the AR to
LMA
link. Since the architecture is very similar to UMTS, the last hop could

easily be a P2P link, as in Section 2.4 of RFC 3316. GPRS networks don't
use
multilink subnets, and neither should NETLMM.

Basically, the MN-AR interface draft needs to discuss what this link
looks
like. The NETLMM protocol itself can support many different kinds of
last
hop links.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 19 Jun 2006 14:00:38 -0700

If every node gets a different IP subnet prefix, then that is
fine and there are no multilink subnet issues. But, everything
I've read up to now for NETLMM has suggested that all of the
ARs would advertise the same set of IP prefixes (with 'L' bit
set to 0), i.e., multilink subnet.

Is there some impending change to the architecture coming?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

gets a different subnet prefix. As I see it, that is a perfectly valid
model 
for a NETLMM last hop.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "James Kempf" <[email-masked]>
Date: Mon, 19 Jun 2006 14:28:53 -0700

Fred,

Like I said, the NETLMM protocol and architecture doesn't say anything about 
the last hop. The protocol is on the AR/LMA interface.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 19 Jun 2006 13:46:16 -0700

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 19 Jun 2006 14:41:30 -0700

The MN-AR interface spec says:

   Network-based Localized Mobility Management Domain (NetLMM domain)
      an administrative domain spanning links served by a set of MAPs
      (and their associated ARs and MNs) that provision addresses from
      the same IP subnet prefix(es).

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

Like I said, the NETLMM protocol and architecture doesn't say anything
about 
the last hop. The protocol is on the AR/LMA interface.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "James Kempf" <[email-masked]>
Date: Mon, 19 Jun 2006 14:55:21 -0700

The architecture says nothing about how addresses are managed. The NETLMM 
protocol doesn't deal with that.The architecture only talks about routing. 
The MN/AR interface spec needs to cast that routing architecture into an 
acceptable address architecture.

But I don't see anything in the definition below that would invalidate using 
an address architecture like that required by RFC 3316, do you?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 19 Jun 2006 15:02:34 -0700

OK, then there is this text from the MN-AR interface spec:

   The deployment scenario is shown in Figure 1 above: Several ARs are
   attached to an IP routing domain connected to the outside Internet
   via a MAP.  The MNs, ARs, MAPs, and in-between routing fabric
   constitute the NetLMM domain.  Each AR announces on its access
   interface a common set of prefix(es) which are routed to the MAP from
   the outside Internet.  Packets arriving at the MAP and destined to a
   MN are tunneled to the appropriate AR.

If we want to have it that each MN<->AR link delegates addresses
from different IP prefixes, then that is fine with me and we
don't have a multilink subnet. But, that's not what this wg has
been saying up to now and that doesn't seem to be the assumption
the MN-AR interface spec has been developed under. But, again,
perhaps you know of some architectural/philosophical change
that is soon to come?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 2:55 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

The architecture says nothing about how addresses are managed. The
NETLMM 
protocol doesn't deal with that.The architecture only talks about
routing. 
The MN/AR interface spec needs to cast that routing architecture into an

But I don't see anything in the definition below that would invalidate
using 
an address architecture like that required by RFC 3316, do you?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "James Kempf" <[email-masked]>
Date: Mon, 19 Jun 2006 15:13:06 -0700

All I can say is, the message I'm getting from various people is "avoid 
multilink subnets".

Now, I'm not sure, from a technical standpoint, how we should approach that 
in the MN/AR interface document. It needs some thought and discussion.

What I'm somewhat concerned about is what model is used by WiMax. We need to 
make sure we have answers that fit their architecture, because they are one 
of our primary customers. I do know they specify DHCP for address 
configuration, so I'm glad that will be in the new version, but I do not 
know if they require a standard last hop subnet model with multiple nodes 
having the same last hop subnet prefix.

Clearly, if NETLMM supports the P2P model defined in RFC 3316 which was 
written for 3G hosts, it will be acceptable for 3GPP, which is our other 
major potential customer.

             jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 3:02 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:55 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Mon, 19 Jun 2006 15:40:59 -0700

James,

OK, but I want that the NETLMM model be well-supported under a
wide range of use-cases, including not only the cellular stuff
but also WLAN, campus LANs and even mobile ad-hoc networks. In
particular, the NETLMM model should work well not just on point
to point links but also on multiple-access links, NBMA links,
links on which multicast is poorly supported, etc. It should
also work well when there are many ARs on the link; not just one.

I'll allow for the possibility that each MN gets its own unique
IP prefix that follows the MN around as it moves between ARs,
but we need to make sure that that works well for a wide range
of use cases; not just cellular.

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 3:13 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Now, I'm not sure, from a technical standpoint, how we should approach
that 
in the MN/AR interface document. It needs some thought and discussion.

What I'm somewhat concerned about is what model is used by WiMax. We
need to 
make sure we have answers that fit their architecture, because they are
one 
of our primary customers. I do know they specify DHCP for address 
configuration, so I'm glad that will be in the new version, but I do not

know if they require a standard last hop subnet model with multiple
nodes 
having the same last hop subnet prefix.

             jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 3:02 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:55 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 08:10:41 -0700

So James, it sounds like you are suggesting a mobile prefix
that travels around with the MN as it jumps from AR to AR
within the localized mobility management domain. That is a
new twist on the way we have been looking at things, but it
is very doable in a wide range of deployment scenarios. It
is als consistent with Dave Thaler's work on Multi-Subnet
MANETs:

http://www.ietf.org/internet-drafts/draft-thaler-autoconf-multisubnet-ma
nets-00.txt

If we wanted to do this, the MN would be assigned a *prefix*
by the network; not just one or a few IP addresses. But then,
the MN would probably be better served by using DHCP prefix
delegation (RFC3633) instead of RFC2462 stateless address
autoconfiguration.

There would be no multilink subnet issues.

The MNs could also be mobile routers and delegate portions of
their assigned prefixes to their attached devices.

The MN-AR interface would be greatly simplified.

There would be no need for SEND/CGA for global addresses.

The only apparent drawback would be sparse use of prefixes when
the MN is a singleton or when it only has a few attached devices.
But, if the localized mobility management domain configures a
larger prefix like a /32 then it can delegate up to 2^32 /64's
for mobile nodes which seems like enough.

Am I missing any drawbacks/advantages? Should we take a course
correction and adopt this model?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Monday, June 19, 2006 3:13 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

             jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 3:02 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:55 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "James Kempf" <[email-masked]>
Date: Tue, 20 Jun 2006 08:30:27 -0700

Well, let's put it this way.

If we adopt the p2p model, we will have no problem convincing the IESG to 
approve the MN-AR interface document, because it is exactly the same model 
that GPRS uses and is specified in RFC 3316. If we don't, then we need to 
convince them of the need for something different, and we run the risk that 
they might not be convinced in the end by any design that changes the IP 
addressing model in the direction of multlink subnets. These kinds of 
discussions in the IETF can take years (for example, AAA key exchange went 
through this kind of discussion). Actual deployments help with convincing 
because they provide data, but are no guarantee that the IESG is going to 
buy into a new addressing model for subnets. Since the MN-AR interface 
document is Informational, anything written in it is not required to 
implement or deploy, but it will probably serve as a guide for people who 
want to implement and deploy NETLMM.

Another consideration is possible customers of NETLMM. Since the p2p model 
is already used by 3GPP for GPRS, there should be no issue with it. For 
WiMax Forum, however, it is a different story. They've not specified what 
they want for IPv6, but for IPv4 they use Proxy MIP with the FA as the last 
hop router. They may want to use the same shared link model for IPv6, but I 
don't know.

None of these considerations should impact the NETLMM protocol, however, 
since it does not specify an addressing model.

Any other opinions or comments on this?

            jak

PS: If DHCP prefix delegation is used, there still is need for security to 
tie the delegated prefix to a MN identity that can be checked on handover. 
Otherwise, the network cannot determine the mobile's authorization to claim 
the prefix. With a /32 prefix, there are not enough bits for cryptographic 
protection, so some other technique must be used.

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 20, 2006 8:10 AM
Subject: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink subnet or 
bridged campus LAN?)

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 3:13 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

             jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 3:02 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:55 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 08:35:47 -0700

James,

I know you are asking for other opinions, but my opinion is that
the mobile prefix method can be applied to arbitrary link types
with no problem. I would find it very strange and limiting then
to claim applicability only to p2p links - especially since we
have been talking about generic link types up to now. You aren't
considering a bait-and-switch at this point, I hope?

About security of prefix delegations and prefix lengths, I was
thinking that the MNs would be delegated /64s - not /32s. Does
64 bits give enough for the purpose of securing mechanisms?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2006 8:30 AM
To: Templin, Fred L; [email-masked]
Subject: Re: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink
subnet or bridged campus LAN?)

If we adopt the p2p model, we will have no problem convincing the IESG
to 
approve the MN-AR interface document, because it is exactly the same
model 
that GPRS uses and is specified in RFC 3316. If we don't, then we need
to 
convince them of the need for something different, and we run the risk
that 
they might not be convinced in the end by any design that changes the IP

addressing model in the direction of multlink subnets. These kinds of 
discussions in the IETF can take years (for example, AAA key exchange
went 
through this kind of discussion). Actual deployments help with
convincing 
because they provide data, but are no guarantee that the IESG is going
to 
buy into a new addressing model for subnets. Since the MN-AR interface 
document is Informational, anything written in it is not required to 
implement or deploy, but it will probably serve as a guide for people
who 
want to implement and deploy NETLMM.

Another consideration is possible customers of NETLMM. Since the p2p
model 
is already used by 3GPP for GPRS, there should be no issue with it. For 
WiMax Forum, however, it is a different story. They've not specified
what 
they want for IPv6, but for IPv4 they use Proxy MIP with the FA as the
last 
hop router. They may want to use the same shared link model for IPv6,
but I 
don't know.

            jak

PS: If DHCP prefix delegation is used, there still is need for security
to 
tie the delegated prefix to a MN identity that can be checked on
handover. 
Otherwise, the network cannot determine the mobile's authorization to
claim 
the prefix. With a /32 prefix, there are not enough bits for
cryptographic 
protection, so some other technique must be used.

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 20, 2006 8:10 AM
Subject: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink subnet or

bridged campus LAN?)

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 3:13 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

             jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 3:02 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:55 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "James Kempf" <[email-masked]>
Date: Tue, 20 Jun 2006 09:10:29 -0700

No, I wasn't meaning p2p links in the L2 sense of "serial". P2p is from the 
IP address standpoint. The only two nodes on the IP subnet are the router 
and the mobile node.

64 bits gives enough bits for cryptographic generation (only just), but I'm 
not sure what you mean here. The entire IPv6 address prefix is 64 bits. 3 + 
45 (first three are 001) of that are typically used as a global site routing 
prefix (RFC 3587), leaving 16 for the actual subnet prefix. I recall hearing 
some talk about using /24s for global site routing, but I'm not sure where 
that is. Even with /24s, 40 bits is still not enough for cryptographic 
generation, though it would be more than enough for delegating one prefix to 
each mobile node even with the broadest visions of NETLMM scalability. Need 
to check with someone in contact with the RIRs about this.

So I still think there will need to be some other way of tying the address 
to the mobile node identity.

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 20, 2006 8:35 AM
Subject: RE: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink subnet or 
bridged campus LAN?)

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Tuesday, June 20, 2006 8:30 AM
To: Templin, Fred L; [email-masked]
Subject: Re: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 20, 2006 8:10 AM
Subject: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink subnet or

bridged campus LAN?)

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 3:13 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

             jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 3:02 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:55 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 09:18:04 -0700

> IP address standpoint. The only two nodes on the IP subnet are the
router 

It's a bit late in the game to start limiting things to
constrained links in which there are only a single MN and
AR on the link. Up to now, we have been talking about links
with potentially many MNs and ARs and we have been working
hard to make sure that the model is well-supported. We have
succeeded in doing so, so why start limiting things now?

> to the mobile node identity.

Well, with DHCP you have the DUID for the MN identity and you
have ways of authenticating the DHCP message exchanges. If you
want to generate CGAs for addresses configured out of a
delegated /64 prefix you can do that too. Is that enough?

Fred

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 20, 2006 8:35 AM
Subject: RE: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink
subnet or 
bridged campus LAN?)

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Tuesday, June 20, 2006 8:30 AM
To: Templin, Fred L; [email-masked]
Subject: Re: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 20, 2006 8:10 AM
Subject: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink subnet or

bridged campus LAN?)

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 3:13 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

             jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 3:02 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:55 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:41 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Is it wrong?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 2:29 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 2:00 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:54 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 1:46 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 1:28 PM
To: Templin, Fred L; [email-masked]
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Monday, June 19, 2006 12:10 PM
Subject: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

James,

Thanks - Fred

-----Original Message-----
From: James Kempf [mailto:[email-masked]]
Sent: Monday, June 19, 2006 11:01 AM
To: [email-masked]; Templin, Fred L
Subject: Re: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred,

            jak

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: <[email-masked]>
Sent: Monday, June 19, 2006 10:42 AM
Subject: [netlmm] NETLMM - multilink subnet or bridged campus LAN?

Fred

---

From: Julien Laganier <[email-masked]>
Date: Tue, 20 Jun 2006 18:31:32 +0200

On Tuesday 20 June 2006 18:18, Templin, Fred L wrote:
> > No, I wasn't meaning p2p links in the L2 sense of "serial". P2p
> > is from the IP address standpoint. The only two nodes on the IP
> > subnet are the router and the mobile node.
>
> AR on the link. 

My 2 cents:

I don't think James wanted to say that that there is a single MN and 
AR on the link. 

What he said is that there would be a single MN and AR on the subnet. 

Such subnet would be degenerated: all packets sent by a MN in that 
subnet would go through AR. To insure that, the L bits in RA would be 
set to 0, meaning that although another MN is on the same link (i.e. 
it's a link-layer neighbor), ND on-link determination would always 
conclude that the MN is not on-link.

--julien

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 09:42:49 -0700

Julien,

> What he said is that there would be a single MN and AR on the subnet.

There might have been some confusion between what James
said and what he meant, but the truth is that we have
made sure that the model works well for generic link
types; not just pt-2-pt.

> conclude that the MN is not on-link.

Up to now, we have been talking about the ARs advertising
prefixes with the 'L' bit set to zero, but it needn't be
that way. With DHCP prefix delegation, the ARs could just
as well advertise *no* prefixes. The MNs could then use
DHCP prefix delegation to get one or several prefixes, and
use DHCP CONFIRM on link change to verify that the prefix
is still correct for the new link. So, the MNs link
verification procedure need not be based on advertised
prefixes in RAs; DHCP CONFIRM could be used for that.

Fred

---

From: "James Kempf" <[email-masked]>
Date: Tue, 20 Jun 2006 09:44:43 -0700

: RE: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink subnet or 
bridged campus LAN?)

jak>>  I don't know how to say this more clearly. I am NOT talking about a 
single MN and AR from the L2 standpoint. I am talking about a link where the 
IP addressing is set up so that it looks that way.

jak>> The underlying link layer could be 802.3, but the addressing is set up 
so that each MN gets a delegated subnet prefix and uses that to construct 
addresses, so that it doesn't see any other nodes on the link at the IP 
layer.

jak>> The LMA can't delegate a /64 prefix unless the network is not using 
the standard 64 bit boundary for the interface identifier (RFC 4291). In the 
standard addressing architecture, the first n bits are used to route on the 
Internet, and n has up until now been 40 + 3.

jak>> Regarding the DUID, I need to think about it. 128 octets is certainly 
enough for strong cryptographic generation. It would need a new DUID type. 
But the DUID is not routable, and this might have some consequences.

            jak

---

From: Julien Laganier <[email-masked]>
Date: Tue, 20 Jun 2006 18:54:23 +0200

On Tuesday 20 June 2006 18:42, Templin, Fred L wrote:
> Julien,
>
> > I don't think James wanted to say that that there is a single MN
> > and AR on the link.
> >

There was no confusion here. The point is that subnet != link. 

Sure in the IP subnet model it is expected that a subnet is limited to 
a link (that's the point of Dave Thaler's draft on multi-link subnet 
issues.)

But nothing prevents from having multiple subnets on one link. At 
least that's my understanding.

--julien

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 10:04:30 -0700

>> IP address standpoint. The only two nodes on the IP subnet are the
router

Let's talk about prefix delegation for a second. The MN requests
a prefix and is granted one, e.g., 2001:DB8::/64. The LMA sets a
route in its IP forwarding table that says 2001:DB8::/64 -> AR.
The AR sets a route in its IP forwarding table that says
2001:DB8::/64 -> MN. So, the "subnet" is owned by the MN and
its attached devices only; the AR is not "on" the IP subnet in
this case and things work fine whether the link is p2-to-p2,
multi-access or whatever. 

> IP addressing is set up so that it looks that way.

You are talking about PDP context maybe? I don't have any
problems with that being one supported access scenario, but
it certainly doesn't have to be the only one.

> addresses, so that it doesn't see any other nodes on the link at the
IP 

There could still be other nodes on the link; they would just
appear to be in different IP subnets.

> Internet, and n has up until now been 40 + 3.

I don't get what you are saying. If the LMA has an aggregated prefix
(e.g., 2001:DB8::/32) it can delegate portions of that prefix to MNs
(e.g., 2001:DB8::/64 to MN1, 2001:DB8:0:1::/64 to MN2, etc.). So, the
LMA can delegate normal /64s just fine.

> But the DUID is not routable, and this might have some consequences.

I was thinking the DUID would contain the MNs public key, i.e., the
sames as was specified in the MN-AR interface spec. I don't know if
that means routeable or not, but I don't see any difference between
this and what is done in the MN-AR interface spec. Yes, there would
need to be a new DUID type but I assume procuring a new type would
be possible.

Fred

            jak

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 10:04:40 -0700

> least that's my understanding.

This is a fundamental truth, and I don't think I ever
said or implied otherwise.

Thanks - Fred

--julien

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 20 Jun 2006 10:06:28 -0700 (PDT)

After taking a look at draft-giaretta-netlmm, I got confused by MAG? Is this an AR? From the definition, it seems to be like a new name for AR.
Also no reference to the MN-AR draft-leganier?

Regards,

--behcet

----- Original Message ----
From: Julien Laganier <[email-masked]>
To: "Templin, Fred L" <[email-masked]>
Cc: [email-masked]
Sent: Tuesday, June 20, 2006 11:54:23 AM
Subject: Re: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink subnet or bridged campus LAN?)

--julien

---

From: "James Kempf" <[email-masked]>
Date: Tue, 20 Jun 2006 10:21:36 -0700

jak>> OK, I think we are saying the same thing.

jak>> Right.

jak>> Right but only the last /32 (in your example) is subject to 
modification by the LMA. The first /32 are used for routing above the LMA 
from the Internet and beyond and cannot be modified. So that means only 16 
bits are available for cryptographic identification, which is really not 
enough.

jak>> I was thinking of the difference between this and CGA. The routablity 
of CGAs ensures that the packet can't originate from a node that does not 
have authorization to claim the address. With DUID, this property is 
lacking.

            jak

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 10:30:48 -0700

> bits are available for cryptographic identification, which is really
not 

I still don't get you. MN1 has 2001:DB8::/64 and can use all 64 of
those bits for cryptographic generation. MN2 has 2001:DB8:0:1::/64
and can use all 64 of *those* bits for cryptographic generation.
So, what is the problem (and, where did the "16" come from)?

> have authorization to claim the address. With DUID, this property is 

I know in my original message I said that CGAs wouldn't be needed,
but maybe I was wrong? The fact is that you can *still* use CGAs;
the MN could still use CGA_LL in its DHCP messages, and it could
still generate CGAs from its delegated global prefixes (and so
can its attached devices that also generate addresses from the
MN's delegated prefixes). So, I don't see any difference here.

Fred

            jak

---

From: "James Kempf" <[email-masked]>
Date: Tue, 20 Jun 2006 10:49:18 -0700

----- Original Message ----- 
From: "Templin, Fred L" <[email-masked]>
To: "James Kempf" <[email-masked]>; <[email-masked]>
Sent: Tuesday, June 20, 2006 10:30 AM
Subject: RE: Mobile prefixes (was: RE: [netlmm] NETLMM - multilink subnet or 
bridged campus LAN?)

jak>> As far as prefix generation goes. the LMA can't change 2001:DB8. 
That's 28 bits. So there are only 36 bits in the prefix that can be changed. 
I think you're thinking of changing the interface identifer part. That can 
be cryptographically generated, of course, but if each MN is to have a 
unique subnet prefix that is used for identifying it, then its the bits in 
the subnet prefix that matter.

jak>> Like I said, it needs some thought and I just don't have the time to 
think about it today. :-)

            jak

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 10:56:42 -0700

> the subnet prefix that matter.

In my example, I said: "2001:DB8::/32" which means 32 bits; not
28/36. But there is no need for it to be that way; the LMA could
just as well configure only non-aggregatable /64 prefixes such
that no two prefixes have the same leading 64 bits in common.
This might make for poor scaling properties in the LMA's prefix
advertisments to the outside world, but the fact is that the
CGA generation would be no different than what is currently
said in the MN-AR interface spec.

Fred

---

From: "James Kempf" <[email-masked]>
Date: Tue, 20 Jun 2006 11:05:12 -0700

jak>> I think nonaggregatable prefixes of this nature would not be very 
popular with other operators nor with the RIRs. Having one route on the 
Internet for each of x million MNs in y different wireless ISPs would 
present a significant scaling issue for the routing tables of the Internet 
backbone routers

jak>> As a practical matter, the RIRs fix the first n bits in the address 
for routing to the AS. These cannot be changed by the ISP.

            jak

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2006 11:11:39 -0700

> present a significant scaling issue for the routing tables of the
Internet 

(sigh) Fine, but that's not the *point*; the point is that CGA
generation is no different whether the MN gets a prefix advertised
in RAs or whether it gets a prefix delegation from the network
using DHCP. Both get exactly the same 64 prefix bits for
cryptographic generation; its not the case that one method gets
64 bits and the other only 32.

Fred